> This page is for version v1.3 (default).
> For other versions, use one of these documentation indexes:
> - v1.3 (default): https://docs.twelvelabs.io/v1.3/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.twelvelabs.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.twelvelabs.io/_mcp/server.

# List connections

GET https://api.twelvelabs.io/v1.3/connections

This method returns a list of the connections in your account. The platform returns your connections sorted by creation date, with the newest at the top of the list.


Reference: https://docs.twelvelabs.io/api-reference/data-connectors/list-connections

## Authentication

- `x-api-key` header (required) — Your API key. You can find your API key on the API Keys page.

## Request

### Query parameters

- `page` (integer, optional, default: 1) — A number that identifies the page to retrieve. **Default**: `1`.
- `page_limit` (integer, optional, default: 10) — The number of items to return on each page. **Default**: `10`. **Max**: `50`.

## Response

### 200

The connections have been successfully retrieved.

- `data` (list of Connection, optional) — An array containing the connections.
- `page_info` (page_info, optional) — An object that provides information about pagination.

## Errors

### 400 Bad Request Error

The request has failed.

- `code` (string, optional) — A string representing the code associated with the error. See the [Error codes](/v1.3/api-reference/error-codes) page for details.
- `message` (string, optional) — A human-readable string describing the error, intended to be suitable for display in a user interface.

## Types

### Connection

A connection to an external data provider. The platform never returns the refresh or access tokens of the connection.

- `_id` (string, optional) — The unique identifier of the connection.
- `provider` (enum, optional) — The data connector provider.
  - Allowed values: `google_drive`
- `status` (enum, optional) — The status of the connection. See [The connection object](/v1.3/api-reference/data-connectors/the-connection-object#connection-statuses) for the possible values.
  - Allowed values: `active`, `expired`, `revoked`
- `custom_id` (string, optional) — The label you supplied when you [authorized the connection](/v1.3/api-reference/data-connectors/authorize-a-connection). The platform does not interpret this value, and it does not need to be unique. Multiple connections can share the same `custom_id` value.
- `account` (ConnectionAccount, optional) — Information about the connected provider account.
- `scopes` (list of string, optional) — The scopes granted to the connection.
- `connected_at` (string, optional) — The date and time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the connection was established.
- `last_used_at` (string, optional) — The date and time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the connection was last used.

### page_info

An object that provides information about pagination.

- `limit_per_page` (integer, optional) — The maximum number of items on each page.
- `page` (integer, optional) — The page you retrieved.
- `total_page` (integer, optional) — The total number of pages.
- `total_results` (integer, optional) — The total number of results.

### ConnectionAccount

Information about the connected provider account.

- `external_id` (string, optional) — The identifier of the account at the provider. It does not change.
- `display_name` (string, optional) — A human-readable label for the account, such as an email address.

## Examples

**Response**

```json
{
  "data": [
    {
      "_id": "665f0a2c9b1e4d0012a3f7c9",
      "provider": "google_drive",
      "status": "active",
      "custom_id": "end-user-1234",
      "account": {
        "external_id": "117451234567890123456",
        "display_name": "maya@gmail.com"
      },
      "scopes": [
        "https://www.googleapis.com/auth/drive.readonly"
      ],
      "connected_at": "2026-05-29T12:00:00Z",
      "last_used_at": "2026-05-29T12:30:00Z"
    }
  ],
  "page_info": {
    "limit_per_page": 10,
    "page": 1,
    "total_page": 1,
    "total_results": 2
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.twelvelabs.io/v1.3/connections"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.twelvelabs.io/v1.3/connections';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.twelvelabs.io/v1.3/connections"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.twelvelabs.io/v1.3/connections")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.twelvelabs.io/v1.3/connections")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.twelvelabs.io/v1.3/connections', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.twelvelabs.io/v1.3/connections");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.twelvelabs.io/v1.3/connections")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```